package com.xzzn.ems.mapper;

import com.xzzn.ems.domain.EmsTicket;

import java.util.List;

/**
 * 工单主Mapper接口
 * 
 * @author xzzn
 * @date 2025-06-26
 */
public interface EmsTicketMapper 
{
    /**
     * 查询工单主
     * 
     * @param id 工单主主键
     * @return 工单主
     */
    public EmsTicket selectEmsTicketById(String id);

    /**
     * 查询工单主列表
     * 
     * @param emsTicket 工单主
     * @return 工单主集合
     */
    public List<EmsTicket> selectEmsTicketList(EmsTicket emsTicket);

    /**
     * 新增工单主
     * 
     * @param emsTicket 工单主
     * @return 结果
     */
    public int insertEmsTicket(EmsTicket emsTicket);

    /**
     * 修改工单主
     * 
     * @param emsTicket 工单主
     * @return 结果
     */
    public int updateEmsTicket(EmsTicket emsTicket);

    /**
     * 删除工单主
     * 
     * @param id 工单主主键
     * @return 结果
     */
    public int deleteEmsTicketById(String id);

    /**
     * 批量删除工单主
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsTicketByIds(String[] ids);
}
